

$(document).on('click', '#impMedicamentos #btn_listar_med', function () {  
    var medicamento = $('#impMedicamentos #txtMedicamento').val();  
    if( $('#chk_farmacia').is(':checked')) {
      var tipoBusqueda = '1';
    }
    else {
      var tipoBusqueda = '0';
    }

    jqGetAjax_Modal("getLstBuscarMedicamentos","modalContent", {'medicamento': medicamento, 'tipoBusqueda': tipoBusqueda, 'imprimeObjeto': '1' }, 'defaultModal');
});


function getvCat_ViasAdministracion() {

  $.ajax({
      url:  'vCat_ViasAdministracion',
      type: 'GET',
      data:  {"id_via": ''},
      dataType: "html",
      success:  function (response) {
         
        //console.log(response);
        $('#viewVia').html('').html(response);   
         
       
      },
      error : function(xhr, status) {
        $.notify("Ha ocurrido un problema", "error");
      },
    });
 }


$(document).on('click', '#borrar', function (event) {
        event.preventDefault();
        $(this).closest('tr').remove();
       $('#btn_listar_med').attr('disabled',false);
       $('#btn_listar_med').removeClass('disabled');
  });



$(document).on('click', '#tblModalMedicamento .medicamento', function () {    
   
        
        $('#defaultModal').modal('hide');
        $tr = $(this);
        
        var clave = $tr.data('clave');
        var yaExiste=false;
        var editable =  $('#h_editable').val();
        var fechaMin = '';
        var fecha = new Date();
        var dia = ("0" + fecha.getDate()).slice(-2);
        var mes = ("0" + (fecha.getMonth() + 1)).slice(-2);

        var fechaMin = fecha.getFullYear()+"-"+(mes)+"-"+(dia);
        if (editable == 0){
          
        } else {
          fechaMin = '';
        }
        $("#txtMedicamento").val('');
        $("#tablaprueba tr").find('td:eq(0)').each(function () {
           //obtenemos la clave del medicamento de la celda
           clave_tr = $(this).html();
          //comparamos para ver si la clave es igual a la seleccionada
          if(clave_tr==clave){
            yaExiste=true;
           
           
          }
 
        });
 
        
        if(yaExiste){
           $.notify("El medicamento seleccionado ya existe");
            return false;
        }
       //min= {!! $fechaMin !!}
        var clave_incr = $tr.data('clave_incr');
        var medicamento = $tr.data('medicamento');
        var txtDosis =  '<textarea class="form-control" id="txt_dosis" rows="2" style="font-size: 12px;"></textarea>';
        var txtCantidad = '<input type="number" class="form-control" style="font-size: 12px;" title="" id="txtCantidad" name="txtCantidad" width="100%" height="100%" min="1"> ';
        var txtF_Ini= '<input type="text" id="txtFechaIni" name="txtFechaIni" class="form-control is-datepick" placeholder="[dd/mm/aaaa]" title="Proporciona la fecha de inicio" width="100%" height="100%" style="font-size: 12px;">';
        var dias= '<input type="number" class="form-control" style="font-size: 12px;" title="" id="txtDias" name="txtDias" width="100%" height="100%" min="1"> ';
        var txtF_Fin='<input type="text" id="txtFechaFin" name="txtFechaFin" class="form-control is-datepick" placeholder="[dd/mm/aaaa]" title="Proporciona la fecha de fin" width="100%" height="100%" style="font-size: 12px;">';
        var txtObservaciones ='<textarea class="form-control" id="txt_observaciones" rows="2" style="font-size: 12px;"></textarea> ';
        var chk_administrado ='<input type="checkbox" id="chk_administrado" name="chk_administrado" value="1" >';
        //var catalogo = getvCat_ViasAdministracion();
        var opciones =  '<br><span class="fa fa-check tirar2" title="Aceptar"></span> &nbsp; <span class="fa fa-times tirar"></span>';
     
        
        document.getElementById("tablaprueba").insertRow(-1).innerHTML = '<td>'+clave+'</td><td style="width: 150px; font-size: 11px;">'+medicamento+'</td><td id="viewVia" style="width: 200px;">'+getvCat_ViasAdministracion()+'</td><td class="id_via" style="display: none;"></td><td style="width: 250px;"><textarea class="form-control" id="txt_dosis" rows="2" style="font-size: 12px;"></textarea></td><td style="width: 80px;"><input type="number" class="form-control" style="font-size: 12px;" title="" id="txtCantidad" name="txtCantidad" width="100%" height="100%" min="1" value="1"> </td> <td><input type="date" id="txtFechaIni" name="txtFechaIni" class="form-control is-datepick" placeholder="[dd/mm/aaaa]" title="Proporciona la fecha de inicio" width="100%" height="100%" style="font-size: 12px;" min='+fechaMin+'></td><td style="width: 80px;"><input type="number" class="form-control" style="font-size: 12px;" title="" id="txtDias" name="txtDias" width="100%" height="100%" min="1" value="0"></td><td><input type="date" id="txtFechaFin" name="txtFechaFin" class="form-control is-datepick" placeholder="[dd/mm/aaaa]" title="Proporciona la fecha de fin" width="100%" height="100%" style="font-size: 12px;" min='+fechaMin+'></td><td style="width: 200px;"><textarea class="form-control" id="txt_observaciones" rows="2" style="font-size: 12px;"></textarea></td><td style="text-align: center;"><input type="checkbox" id="chk_administrado" name="chk_administrado" value="1"></td><td style="text-align: center;"><br><span class="fa fa-check tirar2" title="Aceptar" id="btnAceptar" name ="btnAceptar" data-fecha =""></span> &nbsp; <span class="fa fa-times tirar" id="borrar"></span></td>';
        $('#btn_listar_med').attr('disabled',true);   
        $('#btn_listar_med').addClass('disabled');    
       SmoothScrollTo('#final');

  });


$(document).on('change', '#tblMedicamentos #txtDias', function () { 
    var dias = $(this).parents("tr").find('input[type="number"]').eq(1).val();
    var fechaIni=  $(this).parents("tr").find('input').eq(1).val();  
   
    var fecha = new Date(fechaIni);
    var num1 = Number(dias);
  //  var dias = 2; // Número de días a agregar
    fecha.setDate(fecha.getDate() + num1);
    var mes = fecha.getMonth()+1;
    var dia = fecha.getDate();

    if (dia <10 ){
        dia = '0'+(fecha.getDate());
    }
    if (mes<10){
        mes = '0'+(fecha.getMonth()+1);
    }
    var fechafin = fecha.getFullYear()+'-'+mes+ '-' +dia;
    
     $(this).parents("tr").find('input').eq(3).val(fechafin);  
  
  });

$(document).on('change', '#tblMedicamentos #vCat_ViasAdministracion', function () { 
      var id_via = $(this).val();
      var editable =  $('#h_editable').val();
     // console.log(id_via);
     $(this).parents("tr").find("td").eq(3).html(id_via);

     if (editable == 1) {
      $(this).parents("tr").find('input[type="checkbox"]').eq(0).attr('checked',true); 
     }
});



$(document).on('click', '#btnAceptar', function () { 
 
      var folio = $('#h_folio').val();    
      var centro_sal= $('#h_centro_sal').val();
      var clave= $(this).parents("tr").find("td").eq(0).html();
      var id_via = $(this).parents("tr").find("td").eq(3).html();
      var dosis = $(this).parents("tr").find('textarea').eq(0).val();  
      var cantidad = $(this).parents("tr").find('input[type="number"]').eq(0).val();
      var dias = $(this).parents("tr").find('input[type="number"]').eq(1).val();
      var fechaIni=  $(this).parents("tr").find('input').eq(1).val();  
      var fechaFin=  $(this).parents("tr").find('input').eq(3).val();  
      var observaciones  = $(this).parents("tr").find('textarea').eq(1).val();  
      var administrado =  0;
      var editable= $('#h_editable').val();
      var consulta = 0;
      if ($(this).parents("tr").find('input[type="checkbox"]').eq(0).prop('checked')) {
           administrado = 1;
      } else {
          administrado = 0;
      }

      if (editable== 1){ // editable 1: Estadistica, para CE: 0
        consulta = 0; // consulta es 0 ya que se está complementando desde Estadisticas
      } else {
        consulta = 1;
      }
         
      // $(this).parents("tr").find('input[type="checkbox"]').eq(0).attr('checked',true); 
      // Validaciones pra grabar medicamentos recetados

      
      if(id_via==''){
        $.notify('No se ha especificado la vía de administración');
        $(this).parents("tr").find('select').eq(0).focus(); 
        return false;
     }
     if(dosis==''){
        $.notify('No se ha especificado la dosis del medicamento');
        $(this).parents("tr").find('textarea').eq(0).focus(); 
        return false;
     }

     if(cantidad< 1){
        $.notify('No se ha especificado la cantidad de medicamento');
        $(this).parents("tr").find('input[type="number"]').eq(0).focus();
        return false;
     }

     if(fechaIni==''){
        $.notify('No se ha especificado la fecha de inicio de medicamento');
        $(this).parents("tr").find('input').eq(1).focus();  
        return false;
     }   
     if (dias==0) {
        $.notify("Favor de capturar los días en número mayor a cero.");
        $(this).parents("tr").find('input[type="number"]').eq(1).focus();
        return false;
     }
     if(fechaFin==''){
        $.notify('No se ha especificado la fecha fin de medicamento');
        $(this).parents("tr").find('input').eq(3).focus();  
        return false;
     }

    if(observaciones==''){
        $.notify('No se ha especificado las observaciones del medicamento');
       $(this).parents("tr").find('textarea').eq(1).focus();
        return false;
     }


   

     
      var parametros = {
                folio: folio,
                centro_sal: centro_sal,
                clave: clave,
                dosis: dosis,
                cantidad: cantidad,
                id_via: id_via,
                fechaIni: fechaIni,
                fechaFin: fechaFin,
                observaciones: observaciones,
                administrado: administrado,
                consulta: consulta
              }; 

      // console.log(parametros);
      //  jqGetAjaxShort("add_medicamentosReceta","tblMedicamentos",  parametros);
       jqGetAjaxShort_execFn("add_medicamentosReceta","tblMedicamentos", parametros, 
             $('#btn_listar_med').attr('disabled',false),$('#btn_listar_med').removeClass('disabled') );
      
        
    
});  


$(document).on('click', '#editar', function (event) {
       $(this).parents("tr").find('select').attr('disabled',false);  
       $(this).parents("tr").find('textarea').eq(0).attr('disabled',false); 
       $(this).parents("tr").find('input[type="number"]').eq(0).attr('disabled',false); 
       $(this).parents("tr").find('input').eq(1).attr('disabled',false);  
       $(this).parents("tr").find('input[type="number"]').eq(1).attr('disabled',false); 
       $(this).parents("tr").find('input').eq(3).attr('disabled',false); 
       $(this).parents("tr").find('textarea').eq(1).attr('disabled',false); 
       $(this).parents("tr").find('span').eq(0).removeClass('hidden');
       $(this).parents("tr").find('span').eq(0).attr('name','btnUpd'); 
       $(this).parents("tr").find('span').eq(0).attr('id','btnUpd'); 
       $(this).parents("tr").find('input[type="checkbox"]').eq(0).attr('disabled',false); 
  });


$(document).on('click', '#borrarMedicamento', function (event) {
  
    var folio = $('#h_folio').val();    
    var centro_sal= $('#h_centro_sal').val();
    var clave= $(this).parents("tr").find("td").eq(0).html();
   
    var parametros = {
              folio: folio,
              centro_sal: centro_sal,
              clave: clave
             }; 


    //console.log(parametros);   
    
    jqGetAjaxShort("del_medicamentosReceta","tblMedicamentos",  parametros );
    //metodo: ConsultaExterna_delMedicamentosConsulta
});

   $(document).on('click', '#btnUpd', function () { 

    var folio = $('#h_folio').val();    
    var centro_sal= $('#h_centro_sal').val();
    var clave= $(this).parents("tr").find("td").eq(0).html();
    var id_via = $(this).parents("tr").find("td").eq(3).html();
    var dosis = $(this).parents("tr").find('textarea').eq(0).val();  
    var cantidad = $(this).parents("tr").find('input[type="number"]').eq(0).val();
    var dias = $(this).parents("tr").find('input[type="number"]').eq(1).val();
    var fechaIni=  $(this).parents("tr").find('input').eq(1).val();  
    var fechaFin=  $(this).parents("tr").find('input').eq(3).val();  
    var observaciones  = $(this).parents("tr").find('textarea').eq(1).val();  
     var administrado =  0;

      if ($(this).parents("tr").find('input[type="checkbox"]').eq(0).prop('checked')) {
           administrado = 1;
      } else {
          administrado = 0;
      }
    // Validaciones pra grabar medicamentos recetados
    if(id_via==''){
      $.notify('No se ha especificado la vía de administración');
      $(this).parents("tr").find('select').eq(0).focus(); 
      return false;
   }
   if(dosis==''){
      $.notify('No se ha especificado la dosis del medicamento');
      $(this).parents("tr").find('textarea').eq(0).focus(); 
      return false;
   }

   if(cantidad< 1){
      $.notify('No se ha especificado la cantidad de medicamento');
      $(this).parents("tr").find('input[type="number"]').eq(0).focus();
      return false;
   }

   if(fechaIni==''){
      $.notify('No se ha especificado la fecha de inicio de medicamento');
      $(this).parents("tr").find('input').eq(1).focus();  
      return false;
   }   
   if (dias==0) {
      $.notify("Favor de capturar los días en número mayor a cero.");
      $(this).parents("tr").find('input[type="number"]').eq(1).focus();
      return false;
   }
   if(fechaFin==''){
      $.notify('No se ha especificado la fecha fin de medicamento');
      $(this).parents("tr").find('input').eq(3).focus();  
      return false;
   }

 

   
    var parametros = {
              folio: folio,
              centro_sal: centro_sal,
              clave: clave,
              dosis: (dosis.split("\n").join("")).trim(),
              cantidad: cantidad,
              id_via: (id_via.split("\n").join("")).trim(),
              fechaIni: fechaIni,
              fechaFin: fechaFin,
              observaciones: (observaciones.split("\n").join("")).trim(),
              administrado: administrado
            }; 

      console.log(parametros);
     jqGetAjaxShort("upd_medicamentosReceta","tblMedicamentos",  parametros );
    // setTimeout(verNotaUrg(folio, centro_sal), 500);
    
  });



